package org.springblade.third.doordevice.provider;

import org.springblade.core.tool.api.R;
import org.springblade.device.entity.DoorDevice;

/**
 * @author lidexi
 * @date 2021/5/24 17:12
 */
public interface IDeviceUserService<T> {

	/**
	 * 创建用户，可用于下发人脸
	 * @param
	 * @return
	 */
	R addUser(DoorDevice doorDevice, T t);

	/**
	 * 删除用户，可用于删除设备上的人脸
	 * @param t
	 * @return
	 */
	R deleteUser(DoorDevice doorDevice, T t);
	R deleteUserPermission(DoorDevice doorDevice, T t);
}
